Subject: Re: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Jean Louis <[email-masked]>
Date: Fri, 12 Aug 2022 00:33:37 +0300

* Michael Albinus <[email-masked]> [2022-08-08 11:58]:
> I've tried to reproduce the problem on my Galaxy S6, installing
> SimpleSSHD. However, I fail, because the shell refuses to operate
> properly with the message

I am long time Tramp user who connects to Replicant, Lineage OS and
Android devices. Everything worked well. Recently it stopped
working. Thus I do not assume that my devices are not working or that
something inside of them changed, as it did not change, but I assume
that development process of Tramp introduced some new problems.

> Do you know which setup on my Galaxy I need in order to get the shell
> working?  Do you have some special settings in order to let sshd running
> on your Android devices?

I am using Termux package from F-Droid, and inside of Termux I install
OpenSSH and run it with `sshd -p 8022'

Recently I get these errors:

Tramp: Opening connection nil for motorolausb using scp...done
File error: Couldn't find a proper `ls' command
tramp-error: Couldn't find a proper `ls' command

However, I did not change anything.

> --8<---------------cut here---------------start------------->8---
> sh: can't create temporary file /data/local/shdcrbul.tmp: Permission denied
> --8<---------------cut here---------------end--------------->8---

I do not know for above dirctory, here are my settings which I did not
change since long time.
 
 '(tramp-connection-properties '(("ssh:motorola" "tmpdir" /storage/emulated/0/tmp)))
 '(tramp-remote-path
   '(tramp-default-remote-path "/data/data/com.termux/files/usr/bin/" "/bin" "/usr/bin" "/sbin" "/usr/sbin" "/usr/local/bin" "/usr/local/sbin" "/local/bin" "/local/freeware/bin" "/local/gnu/bin" "/usr/freeware/bin" "/usr/pkg/bin" "/usr/contrib/bin" "/opt/bin" "/opt/sbin" "/opt/local/bin"))
 '(tramp-remote-process-environment
   '("TMPDIR=/storage/emulated/0/tmp" "ENV=''" "TMOUT=0" "LC_CTYPE=''" "CDPATH=" "HISTORY=" "MAIL=" "MAILCHECK=" "MAILPATH=" "PAGER=cat" "autocorrect=" "correct="))
 '(tramp-use-scp-direct-remote-copying t)
 '(tramp-verbose 8)

> Anyway, pls do the usual steps for Tramp errors:
> 
> - Run <emacs -Q --eval '(setq tramp-verbose 10)'>
> - Apply the needed steps to reproduce the problem
> - Report exactly those steps, and send the resulting Tramp debug buffer.

For now I see:

Tramp: Opening connection nil for motorolausb using scp...done
File error: Couldn't find a proper `ls' command
tramp-error: Couldn't find a proper `ls' command

but in just some previous development version I could see the listing
but could not enter into any directory, which is strange as I really
did not change anything.

My `ls' is /data/data/com.termux/files/usr/bin/ls

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/